<?php
/**
 * The Loop
 *
 * Section dedicated for rendering the number of posts in which we will expect
 * to return at least one or more posts.
 *
 */
?>

<?php if (!have_posts()) : ?>

<div id="post-0" class="hentry post error404 not-found">
	<div class="title">
		<h2><?php echo __('Not Found', PADD_THEME_SLUG); ?></h2>
	</div>
	<div class="content">
		<p><?php echo __('Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', PADD_THEME_SLUG); ?></p>
	</div>
</div>

<?php else : ?>

	<?php
		query_posts('caller_get_posts=1&posts_per_page=1');
		$tag = 'h2';
		$i = 1;
		$thumbnail_type = PADD_THEME_SLUG . '-thumbnail';
		$padd_image_def = get_template_directory_uri() . '/images/thumbnail.jpg';
	?>
	<?php while (have_posts()) : ?>
		<?php the_post(); ?>

		<div class="content-title">
			<h2><?php echo __('Recent Post', PADD_THEME_SLUG); ?></h2>
			<p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
		</div>
		<div id="post-<?php the_ID(); ?>" <?php post_class('hentry-' . $i); ?>>

			<div class="thumbnail">
				<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
					<?php
						if (has_post_thumbnail()) {
							the_post_thumbnail($thumbnail_type);
						} else {
							echo '<img class="image-thumbnail" alt="Default thumbnail." src="' . $padd_image_def . '" />';
						}
					?>
				</a>
			</div>

			<div class="excerpt">
				<?php the_excerpt();?>
				<p class="read-more"><a title="Permanent Link to <?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>"><?php echo __('Read More', PADD_THEME_SLUG); ?></a></p>
			</div>

		</div>
	<?php endwhile; ?>

<?php endif;
