<?php
/**
 * The Loop
 *
 * Section dedicated for rendering the number of posts in which we will expect
 * to return at least one or more posts.
 *
 */
?>

<?php if (!have_posts()) : ?>

<div id="post-0" class="hentry post error404 not-found">
	<div class="title">
		<h2><?php echo __('Not Found', PADD_THEME_SLUG); ?></h2>
	</div>
	<div class="content">
		<p><?php echo __('Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', PADD_THEME_SLUG); ?></p>
	</div>
</div>

<?php else : ?>

	<?php
		$tag = 'h2';
		if (is_home()) {
			add_filter('excerpt_length', 'padd_theme_hook_excerpt_home_length');
		}
		$i = 1;
		$thumbnail_type = PADD_THEME_SLUG . '-thumbnail';
		$padd_image_def = get_template_directory_uri() . '/images/thumbnail.jpg';
	?>
	<?php while (have_posts()) : ?>
		<?php the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('hentry-' . $i); ?>>

			<div class="title">
				<<?php echo $tag;?>><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></<?php echo $tag; ?>>
				<?php if ('page' != get_post_type()) : ?>
				<p><?php echo sprintf(__('Posted on %s', PADD_THEME_SLUG), get_the_time(__('F j, Y', PADD_THEME_SLUG))), ' ',  __('In: ', PADD_THEME_SLUG); the_category(', '); ?></p>
				<?php endif; ?>
			</div>

			<div class="clear"></div>

			<div class="thumbnail">
				<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
					<?php
						if (has_post_thumbnail()) {
							the_post_thumbnail($thumbnail_type);
						} else {
							echo '<img class="image-thumbnail" alt="Default thumbnail." src="' . $padd_image_def . '" />';
						}
					?>
				</a>
			</div>

			<div class="excerpt">
				<?php the_excerpt();?>
			</div>

			<div class="share-buttons clear">
				<?php if ('page' != get_post_type()) : ?>
				<?php padd_theme_share_button(); ?>
				<?php endif; ?>
			</div>
		</div>
	<?php endwhile; ?>
	<?php
		if (is_home()) {
			remove_filter('excerpt_length', 'padd_theme_hook_excerpt_home_length');
		}
	?>

<?php endif;
